## gpu-screen-recorder 5.11.2

=== meson_options.txt ===
option('systemd', type : 'boolean', value : true, description : 'Install systemd service file')
option('capabilities', type : 'boolean', value : true, description : 'Set binary admin capability on gsr-kms-server binary to remove password prompt when recording monitor (without desktop portal option) on amd/intel or nvidia wayland')
option('nvidia_suspend_fix', type : 'boolean', value : true, description : 'Install nvidia modprobe config file to tell nvidia driver to preserve video memory on suspend. This is a workaround for an nvidia driver bug that breaks cuda (and gpu screen recorder) on suspend')
option('portal', type : 'boolean', value : true, description : 'Build with support for xdg desktop portal ScreenCast capture (wayland only) (-w portal option). Requires pipewire')
option('app_audio', type : 'boolean', value : true, description : 'Build with support for recording a single audio source (-a app: option). Requires pipewire')
option('plugin_examples', type : 'boolean', value : false, description : 'Build plugin examples')

## gpu-screen-recorder 5.10.2

=== debian/changelog ===
gpu-screen-recorder (5.10.2-1) unstable; urgency=medium

  * Initial release (Closes: #1056403)

 -- Seyed Mohamad Amin Modaresi <modaresisofthard@proton.me>  Tue, 28 Oct 2025 06:16:12 +0330

=== debian/control ===
Source: gpu-screen-recorder
Section: utils
Priority: optional
Maintainer: Seyed Mohamad Amin Modaresi <modaresisofthard@proton.me>
Build-Depends:
 debhelper-compat (= 13),
 meson,
 pkgconf,
 cmake,
 libwayland-bin,
 libavcodec-dev,
 libavformat-dev,
 libavutil-dev,
 libx11-dev,
 libxcomposite-dev,
 libxrandr-dev,
 libxfixes-dev,
 libpulse-dev,
 libswresample-dev,
 libavfilter-dev,
 libva-dev,
 libdrm-dev,
 libwayland-dev,
 libcap-dev,
 libpipewire-0.3-dev,
 libspa-0.2-dev,
 libdbus-1-dev,
 libxdamage-dev,
 libvulkan-dev,
Standards-Version: 4.7.2
Homepage: https://git.dec05eba.com/gpu-screen-recorder/about
Vcs-Browser: https://salsa.debian.org/amin_modaresi/gpu-screen-recorder
Vcs-Git: https://salsa.debian.org/amin_modaresi/gpu-screen-recorder.git

Package: gpu-screen-recorder-cli
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ffmpeg,
Description: Shadowplay-like screen recorder (cli)
 This is a screen recorder that has minimal impact on system performance by
 recording a monitor using the GPU only, similar to shadowplay on windows.
 .
 This is the fastest screen recording tool for GNU/Linux.
 .
 This screen recorder works on X11 and Wayland on AMD, Intel and NVIDIA.
 .
 To find out more take a look at man or
 https://git.dec05eba.com/gpu-screen-recorder/about/

Package: gpu-screen-recorder-dev
Architecture: all
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 gpu-screen-recorder-cli,
Description: Shadowplay-like screen recorder (Header file)
 Header file to add plugins to GPU Screen Recorder.
 .
 GPU Screen Recorder supports plugins for rendering additional graphics
 on top of the monitor/window capture.
 .
 An example plugin can be found at:
 /usr/share/doc/gpu-screen-recorder-dev/examples/hello_triangle/
 .
 Run gpu-screen-recorder with the -p option to specify a plugin to load,
 for example gpu-screen-recorder -w screen -p ./triangle.so -o video.mp4.
 -p can be specified multiple times to load multiple plugins.
 .
 Build GPU Screen Recorder with the -Dplugin_examples=true meson option
 to build plugin examples.

Package: gpu-screen-recorder-service
Architecture: all
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 gpu-screen-recorder-cli,
Description: Shadowplay-like screen recorder (systemd service) (NOT RECOMMENDED)
 NOTE: THIS SERVICE DOESN'T WORK IF YOUR ROOT USER IS DISABLED, EVEN WITH SUDO!
 NOTE: THIS SERVICE HAS SEVERAL PROBLEMS AND IS NOT STANDARD, NOT RECOMMENDED!
 .
 A systemd service to run GPU Screen Recorder immediately after
 startup a graphical environment.
 .
 It's configured with $HOME/.config/gpu-screen-recorder.env,
 (create it if it doesn't exist).
 .
 You can look at
 https://git.dec05eba.com/gpu-screen-recorder/plain/extra/gpu-screen-recorder.env
 to see an example.
 .
 You can see which variables that you can use
 in the gpu-screen-recorder.env file
 by looking at the gpu-screen-recorder.service file.
 It is installed at /usr/lib/systemd/user/
 .
 Note that all of the variables are optional,
 you only have to set the ones that are you interested in.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,now

%:
	dh $@ --buildsystem=meson

=== debian/watch ===
Version: 5
Mode: git
Source: https://repo.dec05eba.com/gpu-screen-recorder
Matching-Pattern: refs/tags/@ANY_VERSION@

## gpu-screen-recorder 5.11.3

=== debian/changelog ===
gpu-screen-recorder (5.11.3-1) unstable; urgency=medium

  * Initial release (Closes: #1056403)

 -- Seyed Mohamad Amin Modaresi <modaresisofthard@proton.me>  Tue, 06 Jan 2026 22:18:03 +0330

=== debian/control ===
--- 
+++ 
@@ -26,8 +26,7 @@
  libspa-0.2-dev,
  libdbus-1-dev,
  libxdamage-dev,
- libvulkan-dev,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://git.dec05eba.com/gpu-screen-recorder/about
 Vcs-Browser: https://salsa.debian.org/amin_modaresi/gpu-screen-recorder
 Vcs-Git: https://salsa.debian.org/amin_modaresi/gpu-screen-recorder.git
@@ -47,7 +46,7 @@
  This screen recorder works on X11 and Wayland on AMD, Intel and NVIDIA.
  .
  To find out more take a look at man or
- https://git.dec05eba.com/gpu-screen-recorder/about/
+ https://git.dec05eba.com/gpu-screen-recorder/about
 
 Package: gpu-screen-recorder-dev
 Architecture: all
@@ -78,18 +77,34 @@
  ${misc:Depends},
  ${shlibs:Depends},
  gpu-screen-recorder-cli,
-Description: Shadowplay-like screen recorder (systemd service) (NOT RECOMMENDED)
- NOTE: THIS SERVICE DOESN'T WORK IF YOUR ROOT USER IS DISABLED, EVEN WITH SUDO!
- NOTE: THIS SERVICE HAS SEVERAL PROBLEMS AND IS NOT STANDARD, NOT RECOMMENDED!
- .
+Description: Shadowplay-like screen recorder (systemd service)
  A systemd service to run GPU Screen Recorder immediately after
  startup a graphical environment.
+ .
+ To use this service, root user must be enabled
+ and root password is needed, sudo doesn't work.
+ .
+ Use it if you want to record your monitor immediately after
+ startup a graphical environment.
+ .
+ There is no way to find out that a graphical environment is running
+ or not and there is no way to find out that GPU Screen Recorder
+ runs just after graphical environments correctly.
+ .
+ It is because of some users use a Window Manager, not a DE,
+ or some especl cases, for example starting a Window Manger or a DE with
+ startx command.
+ .
+ Because of these reasons, this service restarts every 5 secs
+ after a failed running, until it runs correctly.
+ .
+ It's not standard & recommended.
  .
  It's configured with $HOME/.config/gpu-screen-recorder.env,
  (create it if it doesn't exist).
  .
  You can look at
- https://git.dec05eba.com/gpu-screen-recorder/plain/extra/gpu-screen-recorder.env
+ http://git.dec05eba.com/gpu-screen-recorder/plain/extra/gpu-screen-recorder.env
  to see an example.
  .
  You can see which variables that you can use
@@ -99,3 +114,18 @@
  .
  Note that all of the variables are optional,
  you only have to set the ones that are you interested in.
+
+Package: gpu-screen-recorder-mod
+Architecture: all
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ gpu-screen-recorder-cli,
+Description: Shadowplay-like screen recorder (modprobe conf)
+ modprobe conf to fix NVIDIA suspend/hibernation issue with GPU Screen Recorder.
+ .
+ Nvidia drivers have an issue where CUDA breaks if CUDA is running
+ when suspend/hibernation happens,
+ and it remains broken until you reload the nvidia driver.
+ .
+ NOTE: This package just works on a NVIDIA GPU with the proprietary driver.
